summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure117
1 files changed, 117 insertions, 0 deletions
diff --git a/configure b/configure
index 552acba68..271904359 100755
--- a/configure
+++ b/configure
@@ -5257,6 +5257,123 @@ cat >>confdefs.h <<_ACEOF
5257#define BIND_8_COMPAT 1 5257#define BIND_8_COMPAT 1
5258_ACEOF 5258_ACEOF
5259 5259
5260 echo "$as_me:$LINENO: checking if we have the Security Authorization Session API" >&5
5261echo $ECHO_N "checking if we have the Security Authorization Session API... $ECHO_C" >&6
5262 cat >conftest.$ac_ext <<_ACEOF
5263/* confdefs.h. */
5264_ACEOF
5265cat confdefs.h >>conftest.$ac_ext
5266cat >>conftest.$ac_ext <<_ACEOF
5267/* end confdefs.h. */
5268#include <Security/AuthSession.h>
5269int
5270main ()
5271{
5272SessionCreate(0, 0);
5273 ;
5274 return 0;
5275}
5276_ACEOF
5277rm -f conftest.$ac_objext
5278if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5279 (eval $ac_compile) 2>conftest.er1
5280 ac_status=$?
5281 grep -v '^ *+' conftest.er1 >conftest.err
5282 rm -f conftest.er1
5283 cat conftest.err >&5
5284 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5285 (exit $ac_status); } &&
5286 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
5287 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5288 (eval $ac_try) 2>&5
5289 ac_status=$?
5290 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5291 (exit $ac_status); }; } &&
5292 { ac_try='test -s conftest.$ac_objext'
5293 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5294 (eval $ac_try) 2>&5
5295 ac_status=$?
5296 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5297 (exit $ac_status); }; }; then
5298 ac_cv_use_security_session_api="yes"
5299
5300cat >>confdefs.h <<\_ACEOF
5301#define USE_SECURITY_SESSION_API 1
5302_ACEOF
5303
5304 LIBS="$LIBS -framework Security"
5305 echo "$as_me:$LINENO: result: yes" >&5
5306echo "${ECHO_T}yes" >&6
5307else
5308 echo "$as_me: failed program was:" >&5
5309sed 's/^/| /' conftest.$ac_ext >&5
5310
5311ac_cv_use_security_session_api="no"
5312 echo "$as_me:$LINENO: result: no" >&5
5313echo "${ECHO_T}no" >&6
5314fi
5315rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5316 echo "$as_me:$LINENO: checking if we have an in-memory credentials cache" >&5
5317echo $ECHO_N "checking if we have an in-memory credentials cache... $ECHO_C" >&6
5318 cat >conftest.$ac_ext <<_ACEOF
5319/* confdefs.h. */
5320_ACEOF
5321cat confdefs.h >>conftest.$ac_ext
5322cat >>conftest.$ac_ext <<_ACEOF
5323/* end confdefs.h. */
5324#include <Kerberos/Kerberos.h>
5325int
5326main ()
5327{
5328cc_context_t c;
5329 (void) cc_initialize (&c, 0, NULL, NULL);
5330 ;
5331 return 0;
5332}
5333_ACEOF
5334rm -f conftest.$ac_objext
5335if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5336 (eval $ac_compile) 2>conftest.er1
5337 ac_status=$?
5338 grep -v '^ *+' conftest.er1 >conftest.err
5339 rm -f conftest.er1
5340 cat conftest.err >&5
5341 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5342 (exit $ac_status); } &&
5343 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
5344 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5345 (eval $ac_try) 2>&5
5346 ac_status=$?
5347 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5348 (exit $ac_status); }; } &&
5349 { ac_try='test -s conftest.$ac_objext'
5350 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5351 (eval $ac_try) 2>&5
5352 ac_status=$?
5353 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5354 (exit $ac_status); }; }; then
5355
5356cat >>confdefs.h <<\_ACEOF
5357#define USE_CCAPI 1
5358_ACEOF
5359
5360 LIBS="$LIBS -framework Security"
5361 echo "$as_me:$LINENO: result: yes" >&5
5362echo "${ECHO_T}yes" >&6
5363 if test "x$ac_cv_use_security_session_api" = "xno"; then
5364 { { echo "$as_me:$LINENO: error: *** Need a security framework to use the credentials cache API ***" >&5
5365echo "$as_me: error: *** Need a security framework to use the credentials cache API ***" >&2;}
5366 { (exit 1); exit 1; }; }
5367 fi
5368else
5369 echo "$as_me: failed program was:" >&5
5370sed 's/^/| /' conftest.$ac_ext >&5
5371
5372echo "$as_me:$LINENO: result: no" >&5
5373echo "${ECHO_T}no" >&6
5374
5375fi
5376rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5260 ;; 5377 ;;
5261*-*-hpux*) 5378*-*-hpux*)
5262 # first we define all of the options common to all HP-UX releases 5379 # first we define all of the options common to all HP-UX releases